router id 92.43.131.197;
define myas = 60630;
log "/tmp/a" all;

#debug protocols whichwan;

# not used
protocol static static_arn_subnet {
	debug all;
	route 2a00:5881:8100::/40 reject;
}

filter arn_subnet {
	if (net ~ [2a00:5881:8100::/40]) then accept;
	else reject;
}

protocol kernel {
#	persist;		# Don't remove routes on bird shutdown
	scan time 20;		# Scan kernel routing table every 20 seconds
	#export all;
	export filter {
		krt_prefsrc = 2a00:5881:8100::1;
		accept;
	};
}

protocol device {
	scan time 10;		# Scan interfaces every 10 seconds
	#primary "eth0.801" 2a00:5881:8100::1;
}

protocol bgp whichwan {
	debug all;
	description "upstream whichwan";
	local as myas;
	neighbor 2a00:1bf8:600:2:632:6:630:61 as 42456;
	#import all;
	import filter {
		krt_prefsrc = 2a00:5881:8100::1;
		accept;
	};
	export filter arn_subnet;
}

